Сведения о проблемах безопасности, устраняемых в ОС OS X Server 3.2.1

В данном документе описываются проблемы безопасности, устраняемые в ОС OS X Server 3.2.1.

В целях защиты клиентов компания Apple не разглашает информацию о проблемах в системе безопасности, не подтверждает ее и не участвует в ее обсуждении до тех пор, пока не будет полностью завершено изучение соответствующей проблемы и не будут опубликованы все необходимые исправления и выпуски. Дополнительные сведения об обеспечении безопасности продуктов Apple см. на странице Безопасность продуктов Apple.

Информацию об обеспечении безопасности продуктов Apple с помощью PGP-ключа см. в статье Использование PGP-ключа безопасности продуктов Apple.

Там, где это возможно, для ссылки на дополнительную информацию об уязвимостях используются идентификаторы CVE.

Сведения о других обновлениях системы безопасности см. в статье Обновления системы безопасности Apple.

OS X Server 3.2.1

  • CoreCollaboration

    Доступно для ОС OS X Mavericks 10.9.5 и более поздних версий

    Воздействие. Удаленный злоумышленник может получить возможность выполнять произвольные SQL-запросы.

    Описание. На Wiki Server существовала проблема внедрения кода SQL. Эта проблема решена путем дополнительной проверки SQL-запросов.

    Идентификатор CVE

    CVE-2014-4424: Саджад Поурали (Sajjad Pourali) [sajjad@securation.com], группа CERT университета им. Фирдоуси в Мешхеде

  • CoreCollaboration

    Доступно для ОС OS X Mavericks 10.9.5 и более поздних версий

    Воздействие. Посещение вредоносного веб-сайта может привести к выполнению произвольного кода JavaScript.

    Описание. На сервере Xcode существовала проблема, связанная с выполнением межсайтовых сценариев. Проблема решена путем улучшенного кодирования выходного HTML.

    Идентификатор CVE

    CVE-2014-4406: Дэвид Хойт (David Hoyt), Hoyt LLC

  • CoreCollaboration

    Доступно для ОС OS X Mavericks 10.9.5 и более поздних версий

    Воздействие. Ряд уязвимостей PostgreSQL, наиболее серьезные из которых могут привести к выполнению произвольного кода.

    Описание. В PostgreSQL обнаружен ряд уязвимостей. Проблема устранена путем обновления PostgreSQL до версии 9.2.7.

    Идентификатор CVE

    CVE-2014-0060

    CVE-2014-0061

    CVE-2014-0062

    CVE-2014-0063

    CVE-2014-0064

    CVE-2014-0065

    CVE-2014-0066

Информация о продуктах, произведенных не компанией Apple, или о независимых веб-сайтах, неподконтрольных и не тестируемых компанией Apple, не носит рекомендательного характера и не рекламируются компанией. Компания Apple не несет никакой ответственности за выбор, функциональность и использование веб-сайтов или продукции сторонних производителей. Компания Apple также не несет ответственности за точность или достоверность данных, размещенных на веб-сайтах сторонних производителей. Помните, что использование любых сведений или продуктов, размещенных в Интернете, сопровождается риском. За дополнительной информацией обращайтесь к поставщику. Другие названия компаний или продуктов могут быть товарными знаками соответствующих владельцев.

Дата публикации: